
.modal-overlay {
  position: fixed;
  top: 0;
  left: -100%; 
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); 
  transition: left 0.4s ease; 
  z-index: 999; 
  overflow: hidden; 
}

.modal-content {
  width: 100%;
  height: 100%;
  background-color: white; 
  display: flex;
  flex-direction: column;
}

.modal-header {
  height: 69px;
  width: 100%;
  display: flex;
  justify-content: right; 
  padding: 24px;
  background-color: #931004;
}

.modal-header div {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.modal-header div p {
  color: #FFF;
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  margin: 0;
}

.modal-body {
  flex-grow: 1;
  padding: 44px 16px;
  overflow-y: scroll; 
}

.modal-overlay.active {
  left: 0; 
}

.close-modal {
  cursor: pointer; 
}

.open-modal {
  cursor: pointer; 
}

body.modal-open {
  overflow: hidden;
}

.header-menu-mobile ul {
  display: flex;
  flex-direction: column;
  gap: 20px;

  margin: 0;
  padding: 0;
  list-style: none;
}

.header-menu-mobile ul li {
  color: #121212;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 24px; 
  padding-bottom: 20px;
  text-transform: uppercase;

  border-bottom: 1px solid #CACACA;
}

.header-menu-mobile ul li:last-child {
  border-bottom: none;
}

.footer-modal {
  background-color: #393939;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 16px;
}

.footer-links {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 24px;
  padding: 32px 0 24px;
}

.footer-links a {
  color: #FFF;
  text-align: center;
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
}

.footer-social {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
  padding: 24px 16px 16px;
  width: 100%;
  border-top: 1px solid #9A9A9A;
}

.footer-social p {
  color: #FFF;
  text-align: center;
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  margin: 0;
}

.container-social {
  display: flex;
  gap: 10px;
}

.div-social {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2.858px;
  border-radius: 100px;
  border: 1px solid #FFF;
  width: 20.267px;
  height: 20.267px;
}

